TICKIT_TERM_GET_SIZE(3)

NAME
tickit_term_get_size, tickit_term_set_size, tickit_term_refresh_size - manage terminal size

SYNOPSIS
    #include <tickit.h>

    void tickit_term_get_size(TickitTerm *tt, int *lines, int *cols);
    void tickit_term_set_size(TickitTerm *tt, int lines, int cols);
    void tickit_term_refresh_size(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_get_size() fetches the currently-known size of the terminal into the two integers supplied by pointers.

tickit_term_set_size() stores a new size for the terminal into the instance, and invokes any TICKIT_EV_RESIZE event handlers.

tickit_term_refresh_size() queries the size of the terminal by using the TIOCGWINSZ ioctl(2) call on the currently-associated output filehandle, and invokes any TICKIT_EV_RESIZE event handlers if the size has changed.

RETURN VALUE
tickit_term_get_size, tickit_term_set_size and tickit_term_refresh_size return no value.

SEE ALSO
tickit_term_new(3), tickit_term_set_output_fd(3), tickit_term_goto(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)